Bug 148784 - xml_parse_into_struct() function exceeds maximum execution time when using it with an object
xml_parse_into_struct() function exceeds maximum execution time when using it...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 11:39 EST by Gero Mudersbach
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-05 11:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gero Mudersbach 2005-02-15 11:39:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
When using xml_parse_into_struct() function with an object the following error occurs:
Fatal error: Maximum execution time of 30 seconds exceeded in /var/www/html/test.php on line 9


Version-Release number of selected component (if applicable):
php-5.0.3-2

How reproducible:
Always

Steps to Reproduce:
Use this testscript to reproduce:
<?php
class myclass {

var $myparser;

function mytest() {
$this->myparser = xml_parser_create('');
$simple = "<para><note>simple note</note></para>";
xml_parse_into_struct($this->myparser, $simple, $myvals, $mytags);
print_r($myvals);
}

}

$myobject =& new myclass;
$myobject->mytest();

?>


Actual Results:  Fatal error: Maximum execution time of 30 seconds exceeded in /var/www/html/test.php on line 9

Expected Results:  Output of the xml-structure given as an array.

Additional info:
Comment 1 Joe Orton 2005-02-16 09:52:55 EST
Have you reported this upstream?
Comment 2 Gero Mudersbach 2005-02-16 11:56:48 EST
No I didn't. I didn't know if this is a bug in a patched version or the original
version.
Comment 3 Gero Mudersbach 2005-02-16 12:10:03 EST
Now, I have just reported it as Bug #32001 at php.net
Comment 4 Joe Orton 2005-02-17 06:34:19 EST
Thanks Gero; I've proposed a fix.
Comment 5 Joe Orton 2005-03-22 10:54:55 EST
If you missed the discussion upstream: there is a combination of a libxml2 and a
PHP bug here - a workaround has been committed for the next release.
Comment 6 Joe Orton 2005-07-05 11:28:23 EDT
This is fixed in FC4 final with libxml2-2.6.19.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.